extends Node

@export var info: ArticleInfo

signal product_selected(id: String)

func _on_button_pressed() -> void:
	product_selected.emit(info.id)
	
func update_info():
	$VBoxContainer/Label.text = info.text
	$VBoxContainer/TextureRect.texture = info.icon
	
# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	update_info()
	product_selected.connect(Global._on_product_selected)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
